Bug 814490 - [abrt] yum-3.4.3-18.fc17: <string>:37:parse:RuntimeError: cannot load dispatch table from pyexpat
[abrt] yum-3.4.3-18.fc17: <string>:37:parse:RuntimeError: cannot load dispatc...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-elementtree (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
abrt_hash:541cb8a0b11ea6051a0150d9399...
:
: 826573 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 21:38 EDT by Salil Wadnerkar
Modified: 2014-01-21 18:21 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:15:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (4.13 KB, text/plain)
2012-04-19 21:38 EDT, Salil Wadnerkar
no flags Details

  None (edit)
Description Salil Wadnerkar 2012-04-19 21:38:52 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/yum search git
comment:        After installing python-devel, I started getting these weird yum errors.
executable:     /usr/bin/yum
kernel:         3.3.0-1.fc17.i686.PAE
time:           Fri 20 Apr 2012 09:37:21 AM SGT
uid:            1000
username:       salil

backtrace:      Text file, 4229 bytes

smolt_data:
:
:
:General
:=================================
:UUID: 562f05da-5c44-4e40-8366-8675ace849f6
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3325.22
:CPU Vendor: GenuineIntel
:CPU Model: Genuine Intel(R) CPU           T2300  @ 1.66GHz
:CPU Stepping: 8
:CPU Family: 6
:CPU Model Num: 14
:Number of CPUs: 2
:CPU Speed: 1667
:System Memory: 2515
:System Swap: 4575
:Vendor: TOSHIBA
:System: Satellite M100 PSMA0L-0C9009
:Form factor: Notebook
:Kernel: 3.3.0-1.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4172:32828:4473:65280) pci, sdhci-pci, BASE, PCIxx12 SDA Standard Compliant SD Host Controller
:(4172:32827:4473:65280) pci, tifm_7xx1, STORAGE, 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD)
:(4172:32826:4473:65280) pci, firewire_ohci, FIREWIRE, PCIxx12 OHCI Compliant IEEE 1394 Host Controller
:(32902:10169:4473:65280) pci, None, PCI/ISA, 82801GBM (ICH7-M) LPC Interface Bridge
:(32902:10146:4473:65280) pci, i915, VIDEO, Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller
:(32902:10150:4473:65280) pci, None, VIDEO, Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller
:(32902:10192:4473:65280) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4473:65280) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:4243:4473:65280) pci, e100, ETHERNET, PRO/100 VM Network Connection
:(32902:10200:4473:65280) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10202:4473:65280) pci, None, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:16930:32902:4161) pci, iwl3945, NETWORK, PRO/Wireless 3945ABG [Golan] Network Connection
:(32902:9288:4473:65280) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10180:4473:65280) pci, ata_piix, STORAGE, 82801GBM/GHM (ICH7 Family) SATA IDE Controller
:(32902:10185:4473:65280) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4473:65280) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10144:4473:65280) pci, agpgart-intel, HOST/PCI, Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub
:(32902:10186:4473:65280) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:4473:65280) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4473:65280) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(4172:32825:4473:65280) pci, yenta_cardbus, PCI/CARDBUS, PCIxx12 Cardbus Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg-lv_root / ext4 4096 4096 12107476 10774199 10167582 3033296 2892164 2892164
:/dev/sda2 /boot ext4 1024 1024 508745 458884 433284 128016 127741 127741
:/dev/mapper/vg-lv_home /home ext4 4096 4096 6036810 5649322 5346628 1515520 1459261 1459261
:
Comment 1 Salil Wadnerkar 2012-04-19 21:38:58 EDT
Created attachment 578828 [details]
File: backtrace
Comment 2 Zdeněk Pavlas 2012-04-20 03:21:17 EDT
Nothing yum-specific there, probably a bug in cElementTree or python-devel.  Reassigning.
Comment 3 Zdeněk Pavlas 2012-05-30 10:33:50 EDT
*** Bug 826573 has been marked as a duplicate of this bug. ***
Comment 4 The Source 2012-06-04 15:59:01 EDT
I encountered the same problem, found out that it was in old version of libexpat that Oracle drags along with itself. When I removed Oracle lib directory from ldconfig problem's gone.
Comment 5 Miguel da Rocha Correia Lima 2012-08-04 15:39:04 EDT
Also find the same library installed on oracle 11g libexpa:

...../product/11.2.0/dbhome/lib/{libexpat.a, libexpat.la, libexpat.so.1, ibexpat.so.1.5.2}.

Move this lib from oracle lib dir and run ldconfig solve the problem for me.
Comment 6 Fedora End Of Life 2013-07-03 18:22:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 20:15:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.